%define module	astroid

Name:		python-%{module}
Summary:	Extension of compiler.ast Python module
Version:	1.0.0
Release:	%mkrel 3
Source0:    https://bitbucket.org/logilab/astroid/get/%{module}-%{version}.tar.gz
License:	GPLv2+
Group:		Development/Python
Url:		http://www.pylint.org/astroid
Requires:	python-logilab-common >= 0.60.0
BuildArch:	noarch
BuildRequires:	python-setuptools
Provides: python-logilab-astng
Obsoletes: python-logilab-astng

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%package -n	python3-%{module}
Summary:	Extension of compiler.ast Python module
Requires:	python3-logilab-common >= 0.60.0
BuildRequires:	python3-setuptools
Provides: python3-logilab-astng
Obsoletes: python3-logilab-astng

%description -n	python3-%{module}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

This is a version for Python 3.

%prep
%setup -q -n %{module}-%{version}

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

# py3k build
pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%{__python} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd

%install
rm -rf %{buildroot}

# py3k install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/astroid/test
popd

# python2
%{__python} setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/astroid/test

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{python_sitelib}/astroid*

%files -n python3-%{module}
%doc README COPYING ChangeLog
%{python3_sitelib}/astroid*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 542938
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-2.mga4
+ Revision: 498120
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490414
- new version 1.0.0
- adaptation of the spec file to new name
- logilab-astng renamed in astroid

* Wed Oct 02 2013 grenoya <grenoya> 0.24.3-1.mga4
+ Revision: 490382
- new version 0.24.3
- add python3 package

* Sun Jan 13 2013 umeabot <umeabot> 0.24.1-2.mga3
+ Revision: 379053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.24.1-1.mga3
+ Revision: 319860
- new version 0.24.1

* Mon Aug 20 2012 grenoya <grenoya> 0.24.0-1.mga3
+ Revision: 282676
- new version 0.24.0

* Sat Oct 08 2011 grenoya <grenoya> 0.23.0-1.mga2
+ Revision: 152983
- update to new version 0.23.0

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-2.mga2
+ Revision: 140711
- increment mkrel
- remove references to python 2.5

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-1.mga2
+ Revision: 140579
-clean spec
- imported package python-logilab-astng

